/// <reference path="../../../../imageresolver.d.ts" />
/**
 *
 * CometChatMessagePreview
 *
 * @version 1.0.0
 * @author CometChatTeam
 * @copyright © 2022 CometChat Inc.
 *
 */
export function CometChatMessagePreview(props: any): any;
export namespace CometChatMessagePreview {
    namespace defaultProps {
        export let messagePreviewTitle: string;
        export let messagePreviewSubtitle: string;
        export { closeIcon as closeIconURL };
        export let onCloseClick: any;
        export namespace style {
            let widht: string;
            let height: string;
            namespace border {
                let borderWidth: number;
                let borderStyle: string;
                let borderColor: string;
            }
            let backgroundColor: string;
            let borderRadius: number;
            let messagePreviewTitleFont: {};
            let messagePreviewTitleColor: string;
            let messagePreviewSubtitleColor: string;
            let messagePreviewSubtitleFont: {};
            let closeIconTint: string;
        }
    }
    namespace propTypes {
        let messagePreviewTitle_1: any;
        export { messagePreviewTitle_1 as messagePreviewTitle };
        let messagePreviewSubtitle_1: any;
        export { messagePreviewSubtitle_1 as messagePreviewSubtitle };
        export let closeIconURL: any;
        let onCloseClick_1: any;
        export { onCloseClick_1 as onCloseClick };
        let style_1: any;
        export { style_1 as style };
    }
}
import closeIcon from "./resources/close.png";
